
QGIS Application - Bug report #14934

Processing lastools do not find bin directory on Windows

2016-06-01 12:33 AM - Stefan Blumentrath

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:2.14.1 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22885

Description

This issue is twofold:

    1. the OSGeo4W\\bin folder should be autodetected as place where lastools live (like GRASS, SAGA and the like folders are being

detected)

    2. the (on Windows) common situation of white-space in the path name (e.g. "C:\\Program Files\\QGIS Essen") should be handled.

Otherwise one gets the following error message:

Algorithm las2dem starting...

'C:\\Program' is not recognized as an internal or external command, 

operable program or batch file. 

Converting outputs

Loading resulting layers

The following layers were not correctly generated.

Output raster file

You can check the log messages to find more information about the execution of the algorithm

History

#1 - 2016-06-02 09:57 AM - Alexander Bruy

- Category set to 144

#2 - 2016-06-23 04:03 AM - Alexander Bruy

If I'm not wrong, LAS tools are not included in OSGeo4W, so for me there is no sense to try to detect them here.

#3 - 2016-06-23 04:03 AM - Alexander Bruy

- Status changed from Open to Feedback

#4 - 2016-06-23 04:06 AM - Stefan Blumentrath

- Status changed from Feedback to Closed

Yes, indeed. I confused it with liblas...

lasinfo and the like might be useful in processing too.

But that is probably a different issue, so I am closing this one...
#5 - 2017-05-01 10:58 AM - Giovanni Manghi

- Regression? set to No

#6 - 2017-05-01 11:01 AM - Giovanni Manghi

- Easy fix? set to No

#7 - 2017-05-01 11:04 AM - Giovanni Manghi

Some providers are being removed from QGIS/Processing (will be available as plugin) and so are their categories in the bug tracker. To not leave them

orphaned of a category they are being reassigned to processing/core.

#8 - 2017-05-01 11:06 AM - Giovanni Manghi

- Category changed from 144 to Processing/Core
